// joycub V2 - an interpeter for the programming language Joy
// (c) 2004-2006 Sergey Zubkov 

#include "object.h"

// object.cc
static char RCSID[] ="$Id: object.cc,v 1.4 2006/02/27 18:44:01 cubbi Exp $";

// The base class for all joycub V2's objects.
JC_object::JC_object(void) : ref_count(0) {};
JC_object::~JC_object(void) {};


// default output string
std::string JC_object::to_output_string(void) const { return to_string(); }


